## simplecommeubuntu 9.10

=== Makefile ===
#********************************************************
# Makefile for LaTeX documents
#
# Copyright 2009 by Didier Roche <didrocks@ubuntu.com>
#
# Provided under the terms of CC:BY-SA
#*******************************************************

DOC = maitre

.PHONY: clean proper

pdf: $(DOC).tex
	while ( \
        makeindex -s framabook/glossaire.ist $(DOC).glo -o $(DOC).glx ; \
        makeindex -s framabook/index.ist $(DOC) ; \
		pdflatex -interaction=nonstopmode $(DOC).tex || true ; \
		grep -q "get cross-references right" $(DOC).log ) do true ; \
	done
	touch pdf

clean:
	for i in "." "*" "*/*" ; do \
		rm -rf $$i/*~ ; \
		rm -rf $$i/*.aux ; \
	    rm -rf $$i/*.glo ; \
		rm -rf $$i/*.gls ; \
	    rm -rf $$i/*.idx ; \
		rm -rf $$i/*.ilg ; \
	    rm -rf $$i/*.ind ; \
		rm -rf $$i/*.lof ; \
	    rm -rf $$i/*.log ; \
		rm -rf $$i/*.lot ; \
	    rm -rf $$i/*.out ; \
		rm -rf $$i/*.toc ; \
	    rm -rf $$i/*.som ; \
	done ;
	rm -f pdf

proper: clean
	rm -f $(DOC).pdf

install: pdf
	version=$$(sed -n 's/\\def\\version{v \(.*\)}/\1/p' main/VotreFramabook.sty) ; \
	if [ "$(DESTDIR)" != "" ] ; then \
		mkdir -p $(DESTDIR) ; \
		cp $(DOC).pdf $(DESTDIR)/scu-$${version}.pdf ; \
	else \
		cp $(DOC).pdf ./scu-$${version}.pdf ; \
	fi

## simplecommeubuntu 9.10~prerc

=== debian/changelog ===
simplecommeubuntu (9.10~prerc) karmic; urgency=low

  * Update to karmic version: (LP: #454820)
    - pre RC, no final images
  * debian/control:
    - change arch to all
    - add texlive-fonts-recommended as build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 19 Oct 2009 18:05:01 +0200

simplecommeubuntu (9.04-0ubuntu1) karmic; urgency=low

  * Initial release

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Aug 2009 16:43:15 +0200

=== debian/control ===
Source: simplecommeubuntu
Section: doc
Priority: extra
Maintainer: Didier Roche <didrocks@ubuntu.com>
Build-Depends: debhelper (>= 5),
               texlive-latex-base,
               texlive-latex-extra,
               lmodern,
               texlive-fonts-recommended,
               latex-xcolor
Standards-Version: 3.8.1
Homepage: http://framabook.org/ubuntu

Package: simplecommeubuntu
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: free Ubuntu book for beginners
 Simple Comme Ubuntu is a French language book
 to help new users discover Ubuntu.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) pdf
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) proper
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/simplecommeubuntu/usr/share/doc/simplecommeubuntu install

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install

## simplecommeubuntu 10.10

=== Makefile ===
--- 
+++ 
@@ -7,17 +7,19 @@
 #*******************************************************
 
 DOC = maitre
+VERSION = $$(sed -n 's/\\def\\version{v \(.*\)}/\1/p' main/VotreFramabook.sty | sed 's/ //g')
 
-.PHONY: clean proper
+.PHONY: install all clean proper
 
-pdf: $(DOC).tex
+all build: $(DOC).pdf
+
+$(DOC).pdf: $(DOC).tex
 	while ( \
         makeindex -s framabook/glossaire.ist $(DOC).glo -o $(DOC).glx ; \
         makeindex -s framabook/index.ist $(DOC) ; \
 		pdflatex -interaction=nonstopmode $(DOC).tex || true ; \
 		grep -q "get cross-references right" $(DOC).log ) do true ; \
 	done
-	touch pdf
 
 clean:
 	for i in "." "*" "*/*" ; do \
@@ -35,17 +37,13 @@
 		rm -rf $$i/*.toc ; \
 	    rm -rf $$i/*.som ; \
 	done ;
-	rm -f pdf
-
-proper: clean
 	rm -f $(DOC).pdf
 
-install: pdf
-	version=$$(sed -n 's/\\def\\version{v \(.*\)}/\1/p' main/VotreFramabook.sty) ; \
+install: $(DOC).pdf
 	if [ "$(DESTDIR)" != "" ] ; then \
 		mkdir -p $(DESTDIR) ; \
-		cp $(DOC).pdf $(DESTDIR)/scu-$${version}.pdf ; \
+		cp $(DOC).pdf $(DESTDIR)/scu-$(VERSION).pdf ; \
 	else \
-		cp $(DOC).pdf ./scu-$${version}.pdf ; \
+		cp $(DOC).pdf ./scu-$(VERSION).pdf ; \
 	fi

=== debian/changelog ===
simplecommeubuntu (10.10) maverick-proposed; urgency=low

  * New upstream version:
    - update content to ubuntu maverick meerkat (LP: #660994)

 -- Didier Roche <didrocks@ubuntu.com>  Sat, 02 Oct 2010 13:59:27 +0200

simplecommeubuntu (10.04) lucid-proposed; urgency=low

  * New upstream version: (LP: #573081)
    - update all content to last version
  * debian/control:
    - add texlive-lang-french build-dep to fix wrong hyphenation

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 23 Apr 2010 19:50:01 +0200

simplecommeubuntu (9.10) karmic; urgency=low

  * New release, updating pictures and typos from the pre-rc

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 04 Nov 2009 21:48:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 5),
                texlive-latex-base,
                texlive-latex-extra,
+               texlive-lang-french,
                lmodern,
                texlive-fonts-recommended,
                latex-xcolor

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,14 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) pdf
+	$(MAKE) all
 	touch $@
 
 clean: 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	$(MAKE) proper
+	$(MAKE) clean
 	dh_clean 
 
 install: build

## simplecommeubuntu 10.10ubuntu1

=== debian/changelog ===
simplecommeubuntu (10.10ubuntu1) disco; urgency=medium

  * d/control:
    - Build-depend on debhelper (>= 11~).
    - Drop build dependency on latex-color; no longer needed.
    - Update homepage URL.
    - Bump Standards-Version to 4.2.1.
  * d/compat: Bump to 11.
  * d/source/format: Indicate 3.0 (native) format.
  * d/rules: Switch to minimal dh sequencer.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 22 Dec 2018 16:45:48 -0500

=== debian/control ===
Source: simplecommeubuntu
Section: doc
Priority: extra
Maintainer: Didier Roche <didrocks@ubuntu.com>
Build-Depends: debhelper (>= 11~),
               texlive-latex-base,
               texlive-latex-extra,
               texlive-lang-french,
               lmodern,
               texlive-fonts-recommended
Standards-Version: 4.2.1
Homepage: https://framabook.org/simple-comme-ubuntu-2/

Package: simplecommeubuntu
Architecture: all
Depends: ${misc:Depends}
Description: free Ubuntu book for beginners
 Simple Comme Ubuntu is a French language book
 to help new users discover Ubuntu.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/simplecommeubuntu/usr/share/doc/simplecommeubuntu

## simplecommeubuntu 10.10ubuntu2

=== debian/changelog ===
simplecommeubuntu (10.10ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 24 Nov 2025 18:24:18 +0000
